DEVICE_GET_FLAGS(9)

NAME
device_set_flags, device_get_flags - manipulate driver flags

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
device_set_flags(device_t dev, u_int32_t flags);
u_int32_t
device_get_flags(device_t dev);

DESCRIPTION
Each device supports a set of driver-dependent flags which are often used to control device behaviour. These flags are read by calling device_get_flags() and written by calling device_set_flags().

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.